Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.metadata.simple
Class SimpleMetadataManager

    java.lang.Object
      com.endeca.portal.metadata.AbstractMetadataManager<SimpleMetadataObject>
          com.endeca.portal.metadata.simple.SimpleMetadataManager

All Implemented Interfaces:
  MetadataManager<SimpleMetadataObject>

    public final class SimpleMetadataManager

extends AbstractMetadataManager<SimpleMetadataObject>
implements MetadataManager<SimpleMetadataObject>

Central facade for managing simple key-value pair metadata records

Author:
  Endeca Technologies, Inc.

Field Summary
`static java.lang.String` | `TYPE_SIMPLE_METADATA` Represents the "type" value

Constructor Summary
`SimpleMetadataManager()`

Method Summary
`static SimpleMetadataManager` | `getInstance()` Method to get a FrameworkSettingManager instance.
`SimpleMetadataObject` | `objectFromMetadataRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataRecord record)` Converts a Liferay record to a Simple Metadata Object
`
`<S extends MetadataProperty> S`
` | `propertyFromMetadataPropertyRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord record)` Returns null; Simple Metadata Objects do not have child Metadata Properties

Methods inherited from class com.endeca.portal.metadata.AbstractMetadataManager
`getObject, getObjectById, getObjects, getProperties, getProperty, handleObjectPropertyPersistence, objectsFromMetadataRecords, persist, persist, persistProperties, persistProperty, propertiesFromMetadataPropertyRecords, removeObjectById, removePropertyById`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_SIMPLE_METADATA

    public static final java.lang.String TYPE_SIMPLE_METADATA

  Represents the "type" value

  See Also:
    Constant Field Values

Constructor Detail

### SimpleMetadataManager

    public SimpleMetadataManager()

Method Detail

### getInstance

    public static SimpleMetadataManager getInstance()

  Method to get a FrameworkSettingManager instance. Currently creates a new instance every time, but could be modified to work from a singleton.

  Returns:
    the instance

### objectFromMetadataRecord

    public SimpleMetadataObject objectFromMetadataRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataRecord record)

  Converts a Liferay record to a Simple Metadata Object

  Specified by:
    `objectFromMetadataRecord` in interface `MetadataManager<SimpleMetadataObject>`
  Specified by:
    `objectFromMetadataRecord` in class `AbstractMetadataManager<SimpleMetadataObject>`
  Parameters:
    `record` - the base Liferay record
  Returns:
    the Metadata Object
  See Also:
    `MetadataManager.objectFromMetadataRecord(MetadataRecord)`

### propertyFromMetadataPropertyRecord

    public <S extends MetadataProperty> S propertyFromMetadataPropertyRecord(com.endeca.portal.liferay.ext.metadata.model.MetadataPropertyRecord record)

  Returns null; Simple Metadata Objects do not have child Metadata Properties

  Specified by:
    `propertyFromMetadataPropertyRecord` in interface `MetadataManager<SimpleMetadataObject>`
  Specified by:
    `propertyFromMetadataPropertyRecord` in class `AbstractMetadataManager<SimpleMetadataObject>`
  Type Parameters:
    `S` - an instance of a Metadata Property extension
  Parameters:
    `record` - the base Liferay record
  Returns:
    the Metadata Property
  See Also:
    `MetadataManager.propertyFromMetadataPropertyRecord(MetadataPropertyRecord)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD